# PionUnitTest Struct Reference

List of all members.

## Detailed Description

Definition at line 32 of file PionUnitTestDefs.hpp.

## Static Public Member Functions

static void | doNothing (void *ctx, const char *msg,...)
static char * | trim (char *str)
static bool | read_lines_from_file (const std::string &filename, std::list< std::string > &lines)
static bool | check_files_match (const std::string &fileA, const std::string &fileB)
static bool | check_files_exact_match (const std::string &fileA, const std::string &fileB, bool ignore_line_endings=false)

The documentation for this struct was generated from the following file:

- common/include/pion/PionUnitTestDefs.hpp